Subject: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line

From: Drew Adams <[email-masked]>
Date: Sat, 8 Mar 2014 07:56:41 -0800 (PST)

> Every time Emacs waits for input, it automatically enters redisplay.
> So, unless you typed a series of 's' keys faster than Emacs could
> process them (which I doubt, since you probably looked at the search
> results before pressing the next 's'), each 's' keystroke would account
> for one redisplay cycle.  If you took your time reading before you
> pressed another key, there could be more than one redisplay cycle
> between every two 's' keystrokes.

That coincides with what I thought.  And no, I did not press `s'
quickly at all.  Similarly, for the test of just doing
`M-: (fit-frame)' twice in succession: I can wait as long as we like
from one to the next.

> > Based on what I say above, I do not see how it could be that either
> > a high cadence or a high number of successive `fit-frame' calls could
> > be overwhelming redisplay.  But I am entirely ignorant about redisplay,
> > and I am not very clear about what you are asking here.
> 
> Perhaps Martin meant something other than the redisplay cycle I
> described above.